- name: Install misc tools
  apt:
    name: ['openjdk-21-jdk', 'spim']
    state: present

- name: Install python tools
  apt:
    name: ['python3', 'python3-pip', 'python3-virtualenv']
    state: present

- name: Install qtspim dependency
  apt:
    name: ['libxkbcommon-x11-0']
    state: present
  when: interface == "gui"

- name: Copy the qtspim deb
  copy:
    src: resources/qtspim_9.1.24_linux64.deb
    dest: /home/vagrant/
  when: interface == "gui"

- name: Install qtspim
  apt:
    deb: /home/vagrant/qtspim_9.1.24_linux64.deb
    state: present
  when: interface == "gui"

- name: Copy the default cool interpreter
  copy:
    src: resources/cool
    dest: /usr/local/bin
    mode: '0755'

